--- title: "Metadata Endpoints" slug: "endpoints" tags: ["Metadata"] updated: 2025-06-17T19:12:38Z published: 2025-06-17T19:12:38Z canonical: "docs.developer.comcast.com/endpoints" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.developer.comcast.com/llms.txt > Use this file to discover all available pages before exploring further. # Metadata Endpoints ## Obtaining a SAT Token The Open Ingest Endpoint will only accept SAT tokens with one specified allowedPartner (this is based on the configuration of the SAT client and has probably been done for you). ## Request ```javascript curl -v -X POST -H "x-client-id: " -H "x-client-secret: " 'https://sat-prod.codebig2.net/oauth/token' ``` ## Response ```javascript {  "access_token": "",  "expires_in": 86400,  "scope": "x1:compass:piws:read x1:compass:piws:write",  "token_type": "Bearer" } ``` The contents of the access_token field will be used in the Authorization header in the OpenIngest request. Tokens expire after 24 hours and must be refreshed. ## Sample Call Your request should include a parameter ("partner") that specifies which partner account the content belongs to. The sample request below indicates the asset should be ingested under the generic OTT partner. ```javascript curl -v -X POST -H "Content-Type: application/xml" -H "Authorization: Bearer " https://compass-mmpwebservice-prod.codebig2.net/openingestproxy/openIngestMerlin1?schema=1.0&form=xml&partner=globalott \ --data '       NBC OTT Feed Generator             Basketball         The Office         Basketball         Basketball medium Description         Facing a basketball game against the warehouse employees, Michael raises the stakes and bets on his handpicked team.         1312416000000         GMO_14713006559         GTM1234         long         nbcentertainment         SkyShowtime         appId         Episode         1         5         3800         entity123         series123                 -5                 Genre:Movies         Subgenre:Sci-Fi & Fantasy         GN164S651XQJ19N         action                 EP034829100019                 SM5678                 GTMV0000645117                 2022-03-19T11:00:00Z         2022-03-19T10:00:00Z         False                                                                                                                                                                                                                                             H264                 AAC                 HLS                 cmaf-hls-24fps-peacock-v1                 Streaming                 ISOBMFF                 CBCS                 CKS                 PLAYREADY                 WIDEVINE                 "TEST-US-SLE-1-CENC:peacock_801363"                 STREAMING                 break1                 break2                                                             SKYSHOWTIME                 base_d2c                                         PL                 SKYSHOWTIME                 SKYSHOWTIME                         ARCHIVE             SVOD             start=2021-01-01T00:00Z;end=2021-12-31T00:00Z;scheme=W3C-DTF                             PL                 inclusive                                         RECS                 exclusive                         true             true                                       ' ``` ## Open Ingest Result OpenIngestResult will be returned without a wrapper through openIngestMerlin1. | **Field** | **Notes** | **First Schema Version** | **Final Schema Version** | | --- | --- | --- | --- | | failureCounts | A map containing the number of failures per OpenIngestFailure stage. OpenIngestFailures include CreateProgramInfo, CreateOfferInfo, CreateTvSeasonInfo, IngestProgram, IngestOffer, IngestTvSeason, CreateIngestMedia, IngestMedia, CallIngest, SaveOfferedItem, DeleteOfferedItem | 1.0 | 1.4 | | outcomeInfo | A map of the OpenIngestAssetId (comprised of asset id, namespace, and provider) to the AssetIngestResult (see AssetIngestResult table) | 1.4 | | | failureReasons | A set containing reasons for failures related to this asset | 1.0 | 1.4 | | outcomeMap | A map of the OpenIngestAssetId (comprised of asset id, namespace, and provider) to the AssetIngestResult (see AssetIngestResult table) | 1.2 | 1.4 | | failed | Whether the asset failed or was successfully ingested into Merlin | 1.5 | | ### AssetIngestResult | **Field** | Notes | First Schema Version | Final Schema Version | | --- | --- | --- | --- | | outcome | The status of the asset after open ingest submission. Possible values include processed, failed, processedWithErrors, skipped | 1.0 | | | failures | A description of the error in a certain phase of open ingest processing | 1.0 | 1.4 | | failureInfo | See OpenIngestFailureInfo table | 1.4 | | ## OpenIngestFailureInfo | Field | **Notes** | **First Schema Version** | **Final Schema Version** | | --- | --- | --- | --- | | failedURI | The identifier of the failed entity | 1.4 | | | reason | The reason for the failure | 1.4 | | | info | Additional information about the failure | 1.4 | | | hardFailure | Whether this failure prevented ingest. If true, it's considered a hard failure. A failure which allows processing to continue is considered soft | 1.6 | | | phase | The phase in which failure occurred. Phases include CreateProgramInfo, CreateOfferInfo, CreateTvSeasonInfo, IngestProgram, IngestOffer, IngestTvSeason, CreateIngestMedia, IngestMedia, CallIngest, SaveOfferedItem, DeleteOfferedItem | 1.4 | | ## Sample Response ```javascript    true                                        SkyShowtime                NBC                GMO_14713006559                                                            true                    IngestProgram                    Failed to create ProgramInfo guid=SkyShowtime:GMO_14713006559, provider=NBC, details=null null                                                    true                    IngestProgram                    IngestWebService exception guid=SkyShowtime:GMO_14713006559, provider=NBC, details=com.theplatform.web.tv.ingest.api.IngestException: -5 is not a valid value for rating when scheme==urn:sky:bskybca:gb null                                                    Failed to create ProgramInfo guid=SkyShowtime:GMO_14713006559, provider=NBC, details=null null                    IngestProgram                                                    IngestWebService exception guid=SkyShowtime:GMO_14713006559, provider=NBC, details=com.theplatform.web.tv.ingest.api.IngestException: -5 is not a valid value for rating when scheme==urn:sky:bskybca:gb null                    IngestProgram                                failed                                                                SkyShowtime                NBC                GMO_14713006559                                                            true                    IngestProgram                    Failed to create ProgramInfo guid=SkyShowtime:GMO_14713006559, provider=NBC, details=null null                                                    true                    IngestProgram                    IngestWebService exception guid=SkyShowtime:GMO_14713006559, provider=NBC, details=com.theplatform.web.tv.ingest.api.IngestException: -5 is not a valid value for rating when scheme==urn:sky:bskybca:gb null                                                    Failed to create ProgramInfo guid=SkyShowtime:GMO_14713006559, provider=NBC, details=null null                    IngestProgram                                                    IngestWebService exception guid=SkyShowtime:GMO_14713006559, provider=NBC, details=com.theplatform.web.tv.ingest.api.IngestException: -5 is not a valid value for rating when scheme==urn:sky:bskybca:gb null                    IngestProgram                                failed                         ```